csplit(1)

NAME
csplit - Split a file into sections determined by context lines

SYNOPSIS
csplit [-b|--suffix-format] [-f|--prefix] [-k|--keep-files] [--suppress-matched] [-n|--digits] [-q|--quiet] [-z|--elide-empty-files] [-h|--help] [-V|--version] <file> <pattern>

DESCRIPTION
Split a file into sections determined by context lines

OPTIONS

-b, --suffix-format <FORMAT>
    use sprintf FORMAT instead of %02d

-f, --prefix <PREFIX>
    use PREFIX instead of 'xx'

-k, --keep-files
    do not remove output files on errors

--suppress-matched
    suppress the lines matching PATTERN

-n, --digits <DIGITS>
    use specified number of digits instead of 2

-q, --quiet
    do not print counts of output file sizes

-z, --elide-empty-files
    remove empty output files

-h, --help
    Print help

-V, --version
    Print version

EXTRA
Output pieces of FILE separated by PATTERN(s) to files 'xx00', 'xx01', ..., and output byte counts of each piece to standard output.

VERSION
v(uutils coreutils) 0.6.0